package com.zd.laboratory.domain.bigview;

import com.zd.common.core.echarts.EchartsData;
import com.zd.common.core.enums.SenseStateEnum;
import com.zd.common.core.enums.SenseType;

/**
 * 传感器状态统计
 *
 * @Author: zhoupan
 * @Date: 2021/09/13/10:55
 * @Description:
 */
public class SenseState implements EchartsData<Long> {

    /**
     * 设备状态
     */
    SenseStateEnum senseState;

    /**
     * 设备类型
     */
    SenseType senseType;

    /**
     * 总量
     */
    Long total;

    @Override
    public String axisData() {
        return senseType.getName();
    }

    @Override
    public String legendData() {
        return senseType.getName();
    }

    @Override
    public Long dataValue() {
        return total;
    }

    public SenseStateEnum getSenseState() {
        return senseState;
    }

    public void setSenseState(SenseStateEnum senseState) {
        this.senseState = senseState;
    }

    public SenseType getSenseType() {
        return senseType;
    }

    public void setSenseType(SenseType senseType) {
        this.senseType = senseType;
    }

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }
}
